Update Webhook Endpoint

PATCH
/api/v1/webhooks/endpoints/{endpointId}

Path Parameters

endpointId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description?string|null|null
events?array<string>|null
name?string|null
status?|null
url?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/webhooks/endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "consecutiveFailures": 0,  "createdAt": "string",  "description": "string",  "events": [    "person.created"  ],  "id": "string",  "lastSuccessAt": "string",  "name": "string",  "projectId": "string",  "secret": "string",  "status": "active",  "url": "string"}
{  "_tag": "Api/WebhookValidationError",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/WebhookEndpointNotFoundError",  "endpointId": "string"}
{  "_tag": "Api/WebhookServiceError",  "cause": "string"}